import type { _NSData } from "../Foundation/NSData.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _MTRThreadOperationalDataset extends _NSObject {
    static alloc(): _MTRThreadOperationalDataset;
    static new(): _MTRThreadOperationalDataset;
    init(): _MTRThreadOperationalDataset;
    /**
     * Create a Thread Operational Dataset object with the individual network fields. Must be MTRSizeThreadExtendedPANID bytes. Otherwise nil will be returned. Must be MTRSizeThreadMasterKey bytes. Otherwise nil will be returned. Must be MTRSizeThreadPSKc bytes. Otherwise nil will be returned. Must be an unsigned 16-bit value. Must be MTRSizeThreadPANID bytes. Otherwise nil will be returned. In particular, it's expected to be a 16-bit unsigned integer stored as 2 bytes in host order.
     */
    initWithNetworkName$extendedPANID$masterKey$PSKc$channelNumber$panID$(networkName: _NSString, extendedPANID: _NSData, masterKey: _NSData, PSKc: _NSData, channelNumber: _NSNumber, panID: _NSData): _MTRThreadOperationalDataset | null;
    /**
     * Create a Thread Operational Dataset object with a RCP formatted active operational dataset. This initializer will return nil if the input data cannot be parsed correctly
     */
    initWithData$(data: _NSData): _MTRThreadOperationalDataset | null;
    /**
     * Get the underlying data that represents the Thread Active Operational Dataset This can be used for the threadOperationalDataset of MTRCommissioningParameters.
     */
    data(): _NSData;
    initWithNetworkName$extendedPANID$masterKey$PSKc$channel$panID$(networkName: _NSString, extendedPANID: _NSData, masterKey: _NSData, PSKc: _NSData, channel: number, panID: _NSData): _MTRThreadOperationalDataset | null;
    /** The Thread Network name */
    networkName(): _NSString;
    /** The Thread Network extendended PAN ID */
    extendedPANID(): _NSData;
    /** The 16 byte Master Key */
    masterKey(): _NSData;
    /** The Thread PSKc */
    PSKc(): _NSData;
    /** The Thread network channel. Always an unsigned 16-bit integer. */
    channelNumber(): _NSNumber;
    /** A uint16_t stored as 2-bytes in host order representing the Thread PAN ID */
    panID(): _NSData;
    channel(): number;
    setChannel$(value: number): void;
}
